summaryrefslogtreecommitdiffstats
path: root/ci/deploy.sh
diff options
context:
space:
mode:
authorFeng Pan <fpan@redhat.com>2016-06-17 10:38:50 -0400
committerFeng Pan <fpan@redhat.com>2016-06-17 10:38:50 -0400
commit8dcd9367c05f7e87918694c50404313c0b976b35 (patch)
tree8d617fe46cde9e321f81f34d94472a0ca24f3c08 /ci/deploy.sh
parent85759538077aad6e3c2e87ac7a6be5a2f1fb8803 (diff)
Add ovs-dpdk deploy options check
- Make sure flat network is not used when ovs-dpdk is used - Make sure private network is enabled when ovs-dpdk is used JIRA: APEX-174 Change-Id: I595b142124033392145b28221d64088d45c3e8d5 Signed-off-by: Feng Pan <fpan@redhat.com>
Diffstat (limited to 'ci/deploy.sh')
-rwxr-xr-xci/deploy.sh11
1 files changed, 11 insertions, 0 deletions
diff --git a/ci/deploy.sh b/ci/deploy.sh
index 05e2fa2b..5bf7c92e 100755
--- a/ci/deploy.sh
+++ b/ci/deploy.sh
@@ -143,6 +143,17 @@ parse_deploy_settings() {
echo -e "${red}ERROR: Failed to parse deploy settings file $DEPLOY_SETTINGS_FILE ${reset}"
exit 1
fi
+
+ if [ "${deploy_options_array['dataplane']}" == 'ovs_dpdk' ]; then
+ if [ "$net_isolation_enabled" == "FALSE" ]; then
+ echo -e "${red}ERROR: flat network is not supported with ovs-dpdk ${reset}"
+ exit 1
+ fi
+ if [[ ! $enabled_network_list =~ "private_network" ]]; then
+ echo -e "${red}ERROR: tenant network is not enabled for ovs-dpdk ${reset}"
+ exit 1
+ fi
+ fi
}
##parses baremetal yaml settings into compatible json